Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class BinaryFieldFactoryAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
          com.servingxml.components.flatfile.recordtype.BinaryFieldFactoryAssembler

    public class BinaryFieldFactoryAssembler

extends FlatFileOptionsFactoryAssembler

Constructor Summary
`BinaryFieldFactoryAssembler()`

Method Summary
`FlatRecordFieldFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(DefaultValue defaultValue)`
`void` | `injectComponent(Label label)`
`void` | `setLabel(java.lang.String fieldLabel)`
`void` | `setName(Name fieldName)`
`void` | `setStart(int start)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
`assembleFlatFileOptions, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, setAlwaysQuote, setCountPositionsInBytes, setFlushRecordOnWrite, setIgnoreEmptyLines, setIgnoreTrailingEmptyLines, setJustify, setLineDelimited, setOmitFinalFieldDelimiter, setOmitFinalRepeatDelimiter, setPadCharacter, setQuote, setTrim, setTrimLeading, setTrimLeadingWithinQuotes, setTrimQuoted, setTrimTrailing, setTrimTrailingWithinQuotes, setTrimWithinQuotes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryFieldFactoryAssembler

    public BinaryFieldFactoryAssembler()

Method Detail

### setStart

    public void setStart(int start)

### setWidth

    public void setWidth(java.lang.String width)

### setName

    public void setName(Name fieldName)

### setLabel

    public void setLabel(java.lang.String fieldLabel)

### injectComponent

    public void injectComponent(DefaultValue defaultValue)

### injectComponent

    public void injectComponent(Label label)

### assemble

    public FlatRecordFieldFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD